<%
  define_locals do
    prefixed "pet." do
      variable "gitlab.id", as: :gitlab_id
      variable "gitlab.access_token", as: :gitlab_access_token, default: ""
    end
  end
-%>

[General]
  snippetfile = "<%= ENV['HOME'] %>/.config/pet/snippet.toml"
  editor = "nvim"
  column = 40
  selectcmd = "fzf"
  backend = "gitlab"
  sortby = ""

[GitLab]
  file_name = "pet-snippet.toml"
  access_token = "<%= local! :gitlab_access_token %>"
  url = ""
  id = "<%= local! :gitlab_id %>"
  visibility = "private"
  auto_sync = true
